> For the complete documentation index, see [llms.txt](https://docs.deltastream.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.deltastream.io/reference/sql-syntax/ddl/drop-compute_pool.md).

# DROP COMPUTE\_POOL

## Syntax <a href="#synopsis" id="synopsis"></a>

```sql
DROP COMPUTE_POOL compute_pool_name;
```

## Description <a href="#description" id="description"></a>

Drops a compute\_pool from the organization. Only the owner can execute this command.

{% hint style="warning" %}
**Important** You must stop a compute\_pool before you can drop it.
{% endhint %}

### Arguments

#### compute\_pool\_name

The name of the compute\_pool to drop. If the name is case-sensitive, you must wrap it in double quotes; otherwise, the system uses the lower-case name.

## Example <a href="#example" id="example"></a>

```sql
DROP COMPUTE_POOL mypool;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/ddl/drop-compute_pool.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
